package SBC;

public enum NanopiDuo2 {
    Pin09(9,"IRRX",363),
    Pin11(11,"PG11",203),
    Pin02(2,"RX0",5),
    Pin04(4,"TX0",4),
    Pin08(8,"SCL",11),
    Pin10(10,"SDA",12),
    Pin12(12,"SPI_CS",13),
    Pin14(14,"SPI_CLK",14),
    Pin16(16,"SPI_MISO",16),
    Pin18(18,"SPI_MOSI",15),
    Pin20(20,"RX1",199),
    Pin22(22,"TX1",198);
    public final int pin;
    public final String name;
    public final int gpionumber;
    NanopiDuo2(int pin, String name, int gpio) {
        this.pin = pin;
        this.name = name;
        this.gpionumber = gpio;
    }
}
